# Turf.jl

*A port of the Turf.js library to the Julia language*.

## Introduction

[Turf.jl](https://github.com/philoez98/Turf.jl) is a port of the geospatial library [Turf.js](http://turfjs.org/).
It works with any type of spatial data that is compliant to  the GeoJSON specification.

Turf.jl implements most of the funcionalities available in the original library.

## Installation

Install Turf.jl within Julia using

```
import Pkg; Pkg.add("Turf")
```

or from the REPL using Pkg mode

```
pkg> add Turf
```

## Contents
```@contents
Pages=["getting-started.md", "examples.md", "methods.md"]
```

## Usage

 - See the [Getting Started](@ref) section for an introduction to Turf.jl

Most of the time Turf.jl works very similar to the original library, so the Turf.js [documentation](http://turfjs.org/) is a good place to start.

Some examples can be found in the [Examples](@ref) section.

See the [Index](@ref) for a complete list of documented functions.

## Contribute

Contributions are very appreciated! If you want to suggest something, or simply found a bug, please open a issue on [Github](https://github.com/philoez98/Turf.jl/issues). Thank you!

## Index

```@index
```
