module Turf

import Base: contains

using Reexport
@reexport using GeoInterface
@reexport using GeoJSON

export radians_to_length, length_to_radians, length_to_degrees, convert_length, convert_area,
    angle_adjacent, distance, distance_to_segment, rhumb_distance, rhumb_bearing, rhumb_destination,
    destination, bearing, bearing_to_azimuth, bbox, bbox_polygon, center, centroid, transform_rotate, transform_scale,
    bezier, concave, clockwise, nearestpoint, earth_radius, area_factors, units_factors, parallel,
    Spline, linesegment, point_on_line, point_in_polygon, mediancenter, masscenter, meancenter, circle,
    pnorm_distance, distance_weight, ellipse, explode, midpoint, square, flip, lineclip, polygonclip,
    linearc, sector, planepoint, to_WGS84, to_mercator, point_grid, rectangle_grid, hexgrid, polygon_tangents,
    area, contains, within, disjoint, line_intersects, polygon_to_line, transform_translate, valid, crosses, convert_to,
    combine, scale, square_grid, triangle_grid, tag, point_to_line_distance, simplify, simplify!, clean, clean!, overlap


include("Constants.jl")
include("Utils.jl")
include("lib/Angle.jl")
include("lib/Distance.jl")
include("lib/Destination.jl")
include("lib/Bearing.jl")
include("lib/BBox.jl")
include("lib/Lines.jl")
include("lib/Centering.jl")
include("lib/Transformations.jl")
include("lib/Splines.jl")
include("lib/Circle.jl")
include("lib/Ellipse.jl")
include("lib/Planes.jl")
include("lib/Square.jl")
include("lib/Grids.jl")
include("lib/BezierSpline.jl")
include("lib/Booleans.jl")

end
