@testset "grids" begin
    bbox1 = [-96.6357421875,31.12819929911196,-84.9462890625,40.58058466412764]
    bbox2 = [-220.78125,-80.64703474739618,-29.53125,78.34941069014629]
    bbox3 = [-5.1,-5.1,5.1,5.1]

    feat2 = point_grid(bbox2, 500., nothing, "miles")
    @test feat2.features[1].geometry.coordinates ≈ [-199.504452, -77.132893]

    feat3 = rectangle_grid(bbox3, 1., 1., nothing, "degrees")
    @test feat3.features[1].geometry.coordinates ≈ [
					[
						[
							-5.025791,
							-5.005842
						],
						[
							-5.025791,
							-4.004674
						],
						[
							-4.020633,
							-4.004674
						],
						[
							-4.020633,
							-5.005842
						],
						[
							-5.025791,
							-5.005842
						]
					]] atol=0.0001

    feat1 = hexgrid(bbox1, 25., nothing, false, "miles")
"""
	@test feat1.features[1].geometry.coordinates ≈
    [
                [
                    [
                        -95.704593,
                        31.467449
                    ],
                    [
                        -95.927937,
                        31.780802
                    ],
                    [
                        -96.374626,
                        31.780802
                    ],
                    [
                        -96.59797,
                        31.467449
                    ],
                    [
                        -96.374626,
                        31.154096
                    ],
                    [
                        -95.927937,
                        31.154096
                    ],
                    [
                        -95.704593,
                        31.467449
                    ]
                ]]
				"""
	bbox4 = [-95.877685546875,74.46849062193377,-94.031982421875,74.90226611990785]
    fc = triangle_grid(bbox4, 12.5, nothing, "miles")
	@test fc.features[1].geometry.coordinates ≈ [
					[
						[
							-95.877686,
							74.468491
						],
						[
							-95.877686,
							74.649405
						],
						[
							-95.20202,
							74.468491
						],
						[
							-95.877686,
							74.468491
						]
					]]
	fc2 = square_grid(bbox4, 12.5, nothing, "miles")
	@test fc2.features[1].geometry.coordinates ≈ [
					[
						[
							-95.630499,
							74.504464
						],
						[
							-95.630499,
							74.685378
						],
						[
							-94.954834,
							74.685378
						],
						[
							-94.954834,
							74.504464
						],
						[
							-95.630499,
							74.504464
						]
					]]
end
